From 5eabe3537f4a53957b0cac118bc74cccea7395b3 Mon Sep 17 00:00:00 2001
From: Ian Ward Comfort <icomfort@endor.stanford.edu>
Date: Mon, 27 Apr 2009 10:21:26 -0700
Subject: [PATCH] move default createrepo_flags to settings

---
 cobbler/item_repo.py                  |   12 ++++++------
 cobbler/settings.py                   |    1 +
 installer_templates/settings.template |    5 +++++
 3 files changed, 12 insertions(+), 6 deletions(-)

diff --git a/cobbler/item_repo.py b/cobbler/item_repo.py
index 67db4a8..6963ca6 100644
--- a/cobbler/item_repo.py
+++ b/cobbler/item_repo.py
@@ -42,11 +42,11 @@ class Repo(item.Item):
         self.name             = None
         self.uid              = ""
         # FIXME: subobject code does not really make sense for repos
-        self.mirror           = (None,       '<<inherit>>')[is_subobject]
-        self.keep_updated     = (True,        '<<inherit>>')[is_subobject]
-        self.priority         = (99,         '<<inherit>>')[is_subobject]
-        self.rpm_list         = ("",         '<<inherit>>')[is_subobject]
-        self.createrepo_flags = ("-c cache", '<<inherit>>')[is_subobject]
+        self.mirror           = (None,                              '<<inherit>>')[is_subobject]
+        self.keep_updated     = (True,                              '<<inherit>>')[is_subobject]
+        self.priority         = (99,                                '<<inherit>>')[is_subobject]
+        self.rpm_list         = ("",                                '<<inherit>>')[is_subobject]
+        self.createrepo_flags = (self.settings.yumcreaterepo_flags, '<<inherit>>')[is_subobject]
         self.depth            = 2  # arbitrary, as not really apart of the graph
         self.breed            = ""
         self.os_version       = ""
@@ -66,7 +66,7 @@ class Repo(item.Item):
         self.keep_updated     = self.load_item(seed_data, 'keep_updated',True)
         self.priority         = self.load_item(seed_data, 'priority',99)
         self.rpm_list         = self.load_item(seed_data, 'rpm_list')
-        self.createrepo_flags = self.load_item(seed_data, 'createrepo_flags', '-c cache')
+        self.createrepo_flags = self.load_item(seed_data, 'createrepo_flags', self.settings.yumcreaterepo_flags)
         self.breed            = self.load_item(seed_data, 'breed')
         self.os_version       = self.load_item(seed_data, 'os_version')
         self.arch             = self.load_item(seed_data, 'arch')
diff --git a/cobbler/settings.py b/cobbler/settings.py
index 021de80..0f584d0 100644
--- a/cobbler/settings.py
+++ b/cobbler/settings.py
@@ -116,6 +116,7 @@ DEFAULTS = {
     "webdir"                      : "/var/www/cobbler",
     "xmlrpc_port"                 : 25151,
     "yum_post_install_mirror"     : 1,
+    "yumcreaterepo_flags"         : "-c cache",
     "yumdownloader_flags"         : "--resolve",
     "yumreposync_flags"           : "-l -m -d"
 }
diff --git a/installer_templates/settings.template b/installer_templates/settings.template
index 25d3c21..5830e95 100644
--- a/installer_templates/settings.template
+++ b/installer_templates/settings.template
@@ -387,6 +387,11 @@ xmlrpc_port: 25151
 # configuration can still be done manually.  This is just a shortcut.
 yum_post_install_mirror: $yum_post_install_mirror
 
+# Default createrepo_flags to use for new repositories. If you have
+# createrepo >= 0.4.10, consider "-c cache --update -C", which can
+# dramatically improve your "cobbler reposync" time.
+yumcreaterepo_flags: "-c cache"
+
 # additional flags to yum commands
 yumreposync_flags: "-l -m -d"
 yumdownloader_flags: "--resolve"
-- 
1.5.5.6

